<div class="card border-primary">
    <div class="card-body">
        <h5 class="card-title">Product</h5>
        <!-- SEARCH -->
        <div>
            <form>
                <div class="row">
                    <!-- <div class="col-md-3 mb-3">
                        <label for="productCodeInput">Code</label>
                        <input type="text" class="form-control" id="productCodeInput" [(ngModel)]='searchTerm.code'
                            name="searchCode" placeholder="Enter Code">
                    </div> -->
                    <div class="col-md-6 mb-6">
                        <label for="productNameInput">Name</label>
                        <input type="text" class="form-control" id="productNameInput" [(ngModel)]='searchTerm.name'
                            name="searchName" placeholder="Enter Name">
                    </div>
                    <!-- <div class="col-md-3 mb-3">
                        <label for="loookupDesctiptionInput">Description</label>
                        <input type="text" class="form-control" id="loookupDesctiptionInput"
                            [(ngModel)]='searchTerm.description' name="searchDescription"
                            placeholder="Enter Description">
                    </div> -->
                </div>
                <br>
                <div class="btn-group" role="group">
                    <button type="button" (click)="onFilter()" class="btn mr-2 btn-outline-success btn-sm">Search <i
                        class="fa fa-search fa-lg"></i>
                    </button>
                    <button type="button" (click)="resetFilter()" class="btn btn-outline-danger btn-sm">Reset <i
                        class="fa fa-refresh fa-lg"></i>
                    </button>
                    <button type="button" class="btn ml-2 btn-outline-warning btn-sm" (click)="export()">Export Data
                        <i class="fa fa-print fa-lg"></i>
                    </button>
                    <button type="button" class="btn ml-2 btn-outline-primary btn-sm" (click)="open('addnew', null)">Addnew
                        <i class="fa fa-plus-circle fa-lg"></i>
                    </button>
                        
                </div>

            </form>
        </div>
        
        <div style="height:400px; padding: 15px 15px 15px 15px; " *ngIf ="products">
            <table class="table table-sm table-hover table-striped">
                <thead>
                    <tr>
                        <th></th>
                        <th scope="col">Code</th>
                        <th scope="col">Group</th>
                        <th scope="col">Brand</th>
                        <th scope="col">Name</th>
                        <th scope="col">PLU</th>
                        <!-- <th scope="col">Stock</th> -->
                        <th scope="col">UOM</th>
                        <th scope="col">Status</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let product of products ">
                        <td>
                            <button type="button" (click)="open('edit', product)" class="btn btn-outline-warning btn-sm">
                                <i class="fa fa-list fa-lg"></i>
                            </button>
                        </td>
                        <td>{{product.code}}</td>
                        <td>{{product.ProductGroup.name}}</td>
                        <td>{{product.Brand.name}}</td>
                        <td>{{product.name}}</td>
                        <td>{{product.plu}}</td>
                        <td>{{product.smallUom.name}}</td>
                        <td>{{ (product.status==1 ?'Active' : 'Inactive') | uppercase }}</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <ngb-pagination size="sm" [collectionSize]="totalData" [(page)]="curPage" [maxSize]="totalRecord"
            (pageChange)="loadPage()" [boundaryLinks]="true">
        </ngb-pagination>
    </div>

</div>